<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Module: rooms</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Module: rooms</h1>

    




<section>

<header>
    
        
            
        
    
</header>

<article>
    <div class="container-overview">
    
        
            <div class="description">Room management</div>
        

        
            















<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="mtlg_distributed_displays.js.html">mtlg_distributed_displays.js</a>, <a href="mtlg_distributed_displays.js.html#line236">line 236</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
    
    </div>

    

    

    

    

    

    

    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    
    <h4 class="name" id=".createRoom"><span class="type-signature">(static) </span>createRoom<span class="signature">(name, callback)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Creates a new room with the given name, fails if a room or client with that name already exists
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>name</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>


            
            </td>

            

            

            <td class="description last">The name of the new room</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>callback</code></td>
            

            <td class="type">
            
                
<span class="param-type">function</span>


            
            </td>

            

            

            <td class="description last">Callback to call with object as only parameter: {success: boolean, name: string, reason?: string, details?: object}Use .bind(this) or something similar to set the desired value for "this" inside the callback</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="mtlg_distributed_displays.js.html">mtlg_distributed_displays.js</a>, <a href="mtlg_distributed_displays.js.html#line248">line 248</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id=".getAllClients"><span class="type-signature">(static) </span>getAllClients<span class="signature">(callback)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Gets a list of all clients
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>callback</code></td>
            

            <td class="type">
            
                
<span class="param-type">function</span>


            
            </td>

            

            

            <td class="description last">Callback to call with a list of the clients as only parameter.The list is an Array of strings.Use .bind(this) or something similar to set the desired value for "this" inside the callback</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="mtlg_distributed_displays.js.html">mtlg_distributed_displays.js</a>, <a href="mtlg_distributed_displays.js.html#line260">line 260</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id=".getAllRooms"><span class="type-signature">(static) </span>getAllRooms<span class="signature">(callback)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Gets a list of all rooms
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>callback</code></td>
            

            <td class="type">
            
                
<span class="param-type">function</span>


            
            </td>

            

            

            <td class="description last">Callback to call with a list of the rooms as only parameter.An example list is:<pre><code>{room1: {    length: 2,    sockets: {ewEZ7oegtR4vz6sfAAAB: true, iJmIfL7025vAZtpBAAAD: true}}, room2: {    length: 1,    sockets: {iJmIfL7025vAZtpBAAAD: true}}}</code></pre>Use .bind(this) or something similar to set the desired value for "this" inside the callback</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="mtlg_distributed_displays.js.html">mtlg_distributed_displays.js</a>, <a href="mtlg_distributed_displays.js.html#line278">line 278</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id=".getClientId"><span class="type-signature">(static) </span>getClientId<span class="signature">()</span><span class="type-signature"> &rarr; {string}</span></h4>
    

    



<div class="description">
    Gets the id of this client
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="mtlg_distributed_displays.js.html">mtlg_distributed_displays.js</a>, <a href="mtlg_distributed_displays.js.html#line287">line 287</a>
    </li></ul></dd>
    

    

    

    
</dl>













<h5>Returns:</h5>

        
<div class="param-desc">
    The id of this client
</div>



<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">string</span>


    </dd>
</dl>

    





        
            

    

    
    <h4 class="name" id=".getJoinedRooms"><span class="type-signature">(static) </span>getJoinedRooms<span class="signature">(callback)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Gets a list of all joined rooms
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>callback</code></td>
            

            <td class="type">
            
                
<span class="param-type">function</span>


            
            </td>

            

            

            <td class="description last">Callback to call with a list of the joined rooms as only parameter.An example list is:<pre><code>{room1: {    length: 2,    sockets: {ewEZ7oegtR4vz6sfAAAB: true, iJmIfL7025vAZtpBAAAD: true}}}</code></pre>Use .bind(this) or something similar to set the desired value for "this" inside the callback</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="mtlg_distributed_displays.js.html">mtlg_distributed_displays.js</a>, <a href="mtlg_distributed_displays.js.html#line302">line 302</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id=".joinRoom"><span class="type-signature">(static) </span>joinRoom<span class="signature">(name, callback)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Join an existing room with the given name, fails if no room with that name exists
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>name</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>


            
            </td>

            

            

            <td class="description last">The name of the room to join</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>callback</code></td>
            

            <td class="type">
            
                
<span class="param-type">function</span>


            
            </td>

            

            

            <td class="description last">Callback to call with object as only parameter: {success: boolean, name: string, reason?: string, details?: object}Use .bind(this) or something similar to set the desired value for "this" inside the callback</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="mtlg_distributed_displays.js.html">mtlg_distributed_displays.js</a>, <a href="mtlg_distributed_displays.js.html#line313">line 313</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id=".leaveRoom"><span class="type-signature">(static) </span>leaveRoom<span class="signature">(name, callback)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Leave an existing room with the given name, fails if no room with that name exists
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>name</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>


            
            </td>

            

            

            <td class="description last">The name of the room to leave</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>callback</code></td>
            

            <td class="type">
            
                
<span class="param-type">function</span>


            
            </td>

            

            

            <td class="description last">Callback to call with object as only parameter: {success: boolean, name: string, reason?: string, details?: object}Use .bind(this) or something similar to set the desired value for "this" inside the callback</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="mtlg_distributed_displays.js.html">mtlg_distributed_displays.js</a>, <a href="mtlg_distributed_displays.js.html#line325">line 325</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Modules</h3><ul><li><a href="module-actions.html">actions</a></li><li><a href="module-communication.html">communication</a></li><li><a href="module-distributedDisplays.html">distributedDisplays</a></li><li><a href="module-rooms.html">rooms</a></li></ul><h3>Classes</h3><ul><li><a href="LinkedArea.html">LinkedArea</a></li><li><a href="SharedObject.html">SharedObject</a></li></ul><h3>Namespaces</h3><ul><li><a href="MTLG.html">MTLG</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc 3.5.5</a> on Mon Nov 13 2017 14:30:54 GMT+0100 (Mitteleuropäische Zeit)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>